Last Comment Bug 758291 - Remove PDF Viewer addon on update
: Remove PDF Viewer addon on update
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: PDF Viewer (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: Firefox 16
Assigned To: Yury Delendik (:yury)
:
Mentors:
Depends on:
Blocks: 740795
  Show dependency treegraph
 
Reported: 2012-05-24 10:52 PDT by JK
Modified: 2012-08-03 00:28 PDT (History)
13 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
verified


Attachments
Add uriloader@pdf.js.xpi to removed-files (1.14 KB, patch)
2012-06-04 20:06 PDT, Yury Delendik (:yury)
dtownsend: review+
Details | Diff | Review
patch for checkin (1.15 KB, patch)
2012-06-05 06:16 PDT, Yury Delendik (:yury)
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Review

Description JK 2012-05-24 10:52:29 PDT
In Bug 740795, PDF Viewer was changed to not be shipped as an add-on. However, the update process doesn't remove the addon from the \extensions folder.
Comment 1 JK 2012-05-28 07:25:47 PDT
Reproduction:
Install an old Nightly build, which has PDF Viewer as an add-on.
Update it to latest version (in which it is no longer an add-on).

Result:
PDF Viewer is still listed as an add-on.

Expected result:
PDF Viewer should not be listed as an add-on.
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-04 17:55:54 PDT
We need to add it to removed-files.in, I guess?
Comment 3 Yury Delendik (:yury) 2012-06-04 19:30:29 PDT
To replicate:

1. Install Nightly from http://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2012-05-20-03-05-30-mozilla-central/
2. Open "About Nightly" to update the browser
Comment 4 Yury Delendik (:yury) 2012-06-04 20:06:57 PDT
Created attachment 630042 [details] [diff] [review]
Add uriloader@pdf.js.xpi to removed-files

Looking at the history (blame/bugs) of the removed-files.in, adding the entry in this file shall solve the issue.
Comment 5 Yury Delendik (:yury) 2012-06-05 06:16:53 PDT
Created attachment 630145 [details] [diff] [review]
patch for checkin
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-05 12:48:14 PDT
AIUI, this is only applicable to channels that have previously shipped the add-on version, which doesn't include Aurora. So this isn't actually a concern for 15, and we don't actually need to backport the patch.
Comment 7 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-06-07 15:48:07 PDT
(In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment #6)
> AIUI, this is only applicable to channels that have previously shipped the
> add-on version, which doesn't include Aurora. So this isn't actually a
> concern for 15, and we don't actually need to backport the patch.

So this patch should only affect Nightly users? Hence meaning that we could land it on 16 and be done with it? If that's the case, how necessary is it to fix this bug? When this change propagates through to the other release channels, it will just add extra code paths that aren't needed.
Comment 8 Dave Townsend [:mossop] 2012-06-07 15:55:20 PDT
(In reply to Jared Wein [:jaws] from comment #7)
> (In reply to :Gavin Sharp (use gavin@gavinsharp.com for email) from comment
> #6)
> > AIUI, this is only applicable to channels that have previously shipped the
> > add-on version, which doesn't include Aurora. So this isn't actually a
> > concern for 15, and we don't actually need to backport the patch.
> 
> So this patch should only affect Nightly users? Hence meaning that we could
> land it on 16 and be done with it? If that's the case, how necessary is it
> to fix this bug? When this change propagates through to the other release
> channels, it will just add extra code paths that aren't needed.

It would also affect users who switched from Nightly to other channels, but really the patch is so simple it isn't worth thinking about. We should just take it and move along.
Comment 9 Ryan VanderMeulen [:RyanVM] 2012-06-09 14:19:14 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/7985ee3a7734
Comment 10 Ryan VanderMeulen [:RyanVM] 2012-06-09 19:46:32 PDT
https://hg.mozilla.org/mozilla-central/rev/7985ee3a7734
Comment 11 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-21 16:02:00 PDT
Comment on attachment 630145 [details] [diff] [review]
patch for checkin

[Triage Comment]
a=me
Comment 12 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-06-21 16:02:40 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/399d0a248065
Comment 13 Paul Silaghi, QA [:pauly] 2012-08-02 07:38:39 PDT
(In reply to JK from comment #1)
> Reproduction:
> Install an old Nightly build, which has PDF Viewer as an add-on.
> Update it to latest version (in which it is no longer an add-on).
> 
> Result:
> PDF Viewer is still listed as an add-on.
> 
> Expected result:
> PDF Viewer should not be listed as an add-on.

So in order to test this on FF 15, I installed FF 14b12, then the PDF Viewer addon and then updated to FF 15b3.
PDF Viewer is still listed as an add-on.
Any thoughts?
Comment 14 Yury Delendik (:yury) 2012-08-02 07:44:35 PDT
> So in order to test this on FF 15, I installed FF 14b12, then the PDF Viewer
> addon and then updated to FF 15b3.
> PDF Viewer is still listed as an add-on.
> Any thoughts?

Don't install PDF Viewer addon -- it shall be a part of the FF (also see comment 3)
Comment 15 Paul Silaghi, QA [:pauly] 2012-08-03 00:28:36 PDT
So:
1. Installed Nightly 2012-05-20 (comment 3) --> PDF Viewer listed as an add-on
2. Pave over installation of FF 15b3 (comment 8) --> PDF Viewer not in add-ons list

Verified fixed on FF 15b3 on Win 7.

Note You need to log in before you can comment on or make changes to this bug.